base split in GHC 6.8.1

Duncan Coutts duncan.coutts at
Sun Nov 4 11:41:59 EST 2007

On Sun, 2007-11-04 at 15:33 +0000, Ross Paterson wrote:
> The following library packages on HackageDB fail with missing modules
> under GHC 6.8.1, usually due to the base split:

Thanks very much Ross for doing this survey.

We probably should send an announcement on to the haskell or
haskell-cafe list aimed at package maintainers with this info and the
info on how to update to enable compatibility with 6.6 and 6.8.

We should probably include the standard symptom, ie the build message
about missing modules / hidden packages.

> bencode         gd              IFS             pqc
> bktrees         harpy           Imlib           Ranged-sets
> bzlib           haskelldb       lazysmallcheck  regex-base
> classify        HaXml           libxml          safecopy
> clevercss       HCL             ListLike        Shellac
> dataenc         HDBC            LRU             sparsecheck
> derive          hgal            metaplug        StrategyLib
> dsp             hinotify        mime-string     strict
> encoding        hmarkup         MonadRandom     suffixtree
> Etherbunny      hsemail         numeric-quest   syb-with-class
> fastcgi         HsOpenSSL       pandoc          template
> FileManip       hsql            parsedate       uniplate
> funcmp          hsSqlite3       pcap            vty
> functorm        hxt             plugins         zlib

Was this testing the latest version of each package? I updated the zlib
and bzlib packages on hackage to work with 6.8.1 the other day. Maybe
it's missing header files rather than package version / configuration


More information about the Libraries mailing list